# AdSense Management API . accounts

## Instance Methods

Returns the adclients Resource.

Returns the adunits Resource.

Returns the alerts Resource.

Returns the customchannels Resource.

Returns the reports Resource.

Returns the savedadstyles Resource.

Returns the urlchannels Resource.

Get information about the selected AdSense account.

List all accounts available to this AdSense account.

Retrieves the next page of results.

### Method Details

`get(accountId, tree=None)`

    Get information about the selected AdSense account.

    Args:
      accountId: string, Account to get information about. (required)
      tree: boolean, Whether the tree of sub accounts should be returned.

    Returns:
      An object of the form:

        {
        "kind": "adsense#account", # Kind of resource this is, in this case adsense#account.
        "premium": True or False, # Whether this account is premium.
        "id": "A String", # Unique identifier of this account.
        "subAccounts": [ # Sub accounts of the this account.
          # Object with schema name: Account
        ],
        "name": "A String", # Name of this account.
      }

`list(pageToken=None, maxResults=None)`

    List all accounts available to this AdSense account.

    Args:
      pageToken: string, A continuation token, used to page through accounts. To retrieve the next page, set this parameter to the value of "nextPageToken" from the previous response.
      maxResults: integer, The maximum number of accounts to include in the response, used for paging.

    Returns:
      An object of the form:

        {
        "nextPageToken": "A String", # Continuation token used to page through accounts. To retrieve the next page of results, set the next request's "pageToken" value to this.
        "items": [ # The accounts returned in this list response.
          {
            "kind": "adsense#account", # Kind of resource this is, in this case adsense#account.
            "premium": True or False, # Whether this account is premium.
            "id": "A String", # Unique identifier of this account.
            "subAccounts": [ # Sub accounts of the this account.
              # Object with schema name: Account
            ],
            "name": "A String", # Name of this account.
          },
        ],
        "kind": "adsense#accounts", # Kind of list this is, in this case adsense#accounts.
        "etag": "A String", # ETag of this response for caching purposes.
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.